Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		stripesnoop
Version:	1.5
Release:	alt2_38
License:	GPL+
Summary:	Magnetic Stripe Reader
URL:		http://stripesnoop.sourceforge.net
Source0:	http://download.sourceforge.net/stripesnoop/ss-%{version}-src.zip
Patch0:		stripesnoop-1.5-rpmoptflags.patch
Patch1:		stripesnoop-1.5-deflinux.patch
Patch2:		stripesnoop-1.5-asmio.patch
Patch3:		stripesnoop-1.5-pathing.patch
Provides:	stripesnoop-devel = %{version}-%{release}
Obsoletes:	stripesnoop-devel
# ppc and other arches have no inb/outb
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240499
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	gcc, gcc-c++
Source44: import.info

%description
Stripe Snoop is a suite of research tools that captures, modifies, validates, 
generates, analyzes, and shares data from magstripe cards. Numerous readers 
are supported to gather this information. In addition to simply displaying 
the raw characters that are encoded on the card, Stripe Snoop has a database 
of known card formats. It uses this to give you more detailed information 
about the card.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1
chmod -x cards.txt ChangeLog.txt COPYING.txt README.txt visa-pre.txt \
	 hardware/* samples/*

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m0644 dl-iin.csv visa-pre.txt $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m0755 bitgen mod10 $RPM_BUILD_ROOT/%{_bindir}
install -m0755 ss $RPM_BUILD_ROOT/%{_bindir}/stripesnoop

%files
%doc ChangeLog.txt COPYING.txt README.txt hardware/ samples/
%{_bindir}/stripesnoop
%{_bindir}/bitgen
%{_bindir}/mod10
%{_datadir}/%{name}/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_38
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_37
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_36
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_35
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_34
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_33
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.5-alt2_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_31
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_31
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_30
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_29
- new version

